Memcache::decrement
Memcache::flush
Memcache
PHP Manual

# Memcache::delete

(PECL memcache >= 0.2.0)

Memcache::delete — Delete item from the server

### Description

bool Memcache::delete ( string `$key` [, int `$timeout` ] )

Memcache::delete() deletes item with the `key`. If parameter `timeout` is specified, the item will expire after `timeout` seconds. Also you can use memcache_delete() function.

### Parameters

`key`

  The key associated with the item to delete.

`timeout`

  Execution time of the item. If it's equal to zero, the item will be deleted right away whereas if you set it to 30, the item will be deleted in 30 seconds.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Memcache::delete() example

`<?php
/* procedural API */
$memcache_obj = memcache_connect('memcache_host', 11211);
/* after 10 seconds item will be deleted by the server */
memcache_delete($memcache_obj, 'key_to_delete', 10);
/* OO API */
$memcache_obj = new Memcache;
$memcache_obj->connect('memcache_host', 11211);
$memcache_obj->delete('key_to_delete', 10);
?>`

### See Also

- Memcache::set() - Store data at the server
- Memcache::replace() - Replace value of the existing item

Memcache::decrement
Memcache::flush
Memcache
PHP Manual